# These are the template configuration for Debian's Snort
#
# These templates have been reviewed by the debian-l10n-english
# team
#
# If modifications/additions/rewording are needed, please ask
# debian-l10n-english@lists.debian.org for advice.
#
# Even minor modifications require translation updates and such
# changes should be coordinated with translators and reviewers.

Template: snort/startup
Type: select
__Choices: boot, dialup, manual
Default: boot
_Description: Snort start method:
 Please choose how Snort should be started: automatically on boot,
 automatically when connecting to the net with pppd, or manually with the
 /usr/sbin/snort command.

Template: snort/interface
Type: string
Default: eth0
_Description: Interface(s) which Snort should listen on:
 This value is usually "eth0", but this may be inappropriate in some
 network environments; for a dialup connection "ppp0" might be more
 appropriate (see the output of "/sbin/ifconfig").
 .
 Typically, this is the same interface as the "default route" is on. You can
 determine which interface is used for this by running "/sbin/route -n"
 (look for "0.0.0.0").
 .
 It is also not uncommon to use an interface with no IP address
 configured in promiscuous mode. For such cases, select the
 interface in this system that is physically connected to the network
 that should be inspected, enable promiscuous mode later on and make sure
 that the network traffic is sent to this interface (either connected
 to a "port mirroring/spanning" port in a switch, to a hub, or to a tap).
 .
 You can configure multiple interfaces, just by adding more than
 one interface name separated by spaces. Each interface can have its
 own specific configuration.

Template: snort/address_range
Type: string
Default: 192.168.0.0/16
_Description: Address range for the local network:
 Please use the CIDR form - for example, 192.168.1.0/24 for a block of
 256 addresses or 192.168.1.42/32 for just one. Multiple values should
 be comma-separated (without spaces).
 .
 You can leave this value empty and configure HOME_NET in /etc/snort/snort.conf
 instead. This is useful if you are using Snort in a system which frequently
 changes network and does not have a static IP address assigned.
 .
 Please note that if Snort is configured to use multiple interfaces,
 it will use this value as the HOME_NET definition for all of them.

Template: snort/disable_promiscuous
Type: boolean
Default: false
_Description: Should Snort disable promiscuous mode on the interface?
 Disabling promiscuous mode means that Snort will only see packets
 addressed to the interface it is monitoring. Enabling it allows Snort to
 check every packet that passes the Ethernet segment even if it's a
 connection between two other computers.

Template: snort/invalid_interface
Type: error
_Description: Invalid interface
 Snort is trying to use an interface which does not exist or is down.
 Either it is defaulting inappropriately to "eth0", or you specified
 one which is invalid.

Template: snort/send_stats
Type: boolean
Default: true
_Description: Should daily summaries be sent by e-mail?
 A cron job can be set up to send daily summaries of Snort logs to a
 selected e-mail address.
 .
 Please choose whether you want to activate this feature.

Template: snort/stats_rcpt
Type: string
Default: root
_Description: Recipient of daily statistics mails:
 Please specify the e-mail address that should receive daily summaries
 of Snort logs.

Template: snort/options
Type: string
_Description: Additional custom options:
 Please specify any additional options Snort should use.

Template: snort/stats_treshold
Type: string
Default: 1
_Description: Minimum occurrences before alerts are reported:
 Please enter the minimum number of alert occurrences before a given alert is
 included in the daily statistics.

Template: snort/please_restart_manually
Type: note
_Description: Snort restart required
 As Snort is manually launched, you need to run "service snort restart" for
 the changes to take place.

Template: snort/config_parameters
Type: error
_Description: Obsolete configuration file
 This system uses an obsolete configuration file
 (/etc/snort/snort.common.parameters)
 which has been automatically converted into the new configuration
 file format (at /etc/default/snort).
 .
 Please review the new configuration and remove the obsolete
 one. Until you do this, the initialization script will not use the new
 configuration and you will not take advantage of the benefits
 introduced in newer releases.
